#ifndef MAIN_H


class Keys {
	public: 
		Keys();
		char FindKeyCode(char *str, int strLen);
		

private:
		char *KeyNames[256];
};


struct MacroStatement {
	unsigned char id;
	char arguments[6][64];
};
struct Macro {
	MacroStatement *script;
	int numStatements;
	int cStatement;
};


Macro threads[64];

char *bindings[64];
char *macros[64];
char macroKeys[64];
int numBindings;

void ParseMacro(char *funcStr, char args[6][64], MacroStatement *destination);
void LoadMacros();
void LoadKeyBindings();
void RunMacro(Macro *m);
void RunStatement(MacroStatement *s);


#define MAIN_H
#endif